
#include "X11Colors.h"
#include <QColor>

namespace {

struct X11Color {
	int           r;
	int           g;
	int           b;
	QLatin1String name;
};

const X11Color colors[] = {
	{ 255, 250, 250, QLatin1String("snow") },
	{ 248, 248, 255, QLatin1String("ghost white") },
	{ 248, 248, 255, QLatin1String("GhostWhite") },
	{ 245, 245, 245, QLatin1String("white smoke") },
	{ 245, 245, 245, QLatin1String("WhiteSmoke") },
	{ 220, 220, 220, QLatin1String("gainsboro") },
	{ 255, 250, 240, QLatin1String("floral white") },
	{ 255, 250, 240, QLatin1String("FloralWhite") },
	{ 253, 245, 230, QLatin1String("old lace") },
	{ 253, 245, 230, QLatin1String("OldLace") },
	{ 250, 240, 230, QLatin1String("linen") },
	{ 250, 235, 215, QLatin1String("antique white") },
	{ 250, 235, 215, QLatin1String("AntiqueWhite") },
	{ 255, 239, 213, QLatin1String("papaya whip") },
	{ 255, 239, 213, QLatin1String("PapayaWhip") },
	{ 255, 235, 205, QLatin1String("blanched almond") },
	{ 255, 235, 205, QLatin1String("BlanchedAlmond") },
	{ 255, 228, 196, QLatin1String("bisque") },
	{ 255, 218, 185, QLatin1String("peach puff") },
	{ 255, 218, 185, QLatin1String("PeachPuff") },
	{ 255, 222, 173, QLatin1String("navajo white") },
	{ 255, 222, 173, QLatin1String("NavajoWhite") },
	{ 255, 228, 181, QLatin1String("moccasin") },
	{ 255, 248, 220, QLatin1String("cornsilk") },
	{ 255, 255, 240, QLatin1String("ivory") },
	{ 255, 250, 205, QLatin1String("lemon chiffon") },
	{ 255, 250, 205, QLatin1String("LemonChiffon") },
	{ 255, 245, 238, QLatin1String("seashell") },
	{ 240, 255, 240, QLatin1String("honeydew") },
	{ 245, 255, 250, QLatin1String("mint cream") },
	{ 245, 255, 250, QLatin1String("MintCream") },
	{ 240, 255, 255, QLatin1String("azure") },
	{ 240, 248, 255, QLatin1String("alice blue") },
	{ 240, 248, 255, QLatin1String("AliceBlue") },
	{ 230, 230, 250, QLatin1String("lavender") },
	{ 255, 240, 245, QLatin1String("lavender blush") },
	{ 255, 240, 245, QLatin1String("LavenderBlush") },
	{ 255, 228, 225, QLatin1String("misty rose") },
	{ 255, 228, 225, QLatin1String("MistyRose") },
	{ 255, 255, 255, QLatin1String("white") },
	{   0,   0,   0, QLatin1String("black") },
	{  47,  79,  79, QLatin1String("dark slate gray") },
	{  47,  79,  79, QLatin1String("DarkSlateGray") },
	{  47,  79,  79, QLatin1String("dark slate grey") },
	{  47,  79,  79, QLatin1String("DarkSlateGrey") },
	{ 105, 105, 105, QLatin1String("dim gray") },
	{ 105, 105, 105, QLatin1String("DimGray") },
	{ 105, 105, 105, QLatin1String("dim grey") },
	{ 105, 105, 105, QLatin1String("DimGrey") },
	{ 112, 128, 144, QLatin1String("slate gray") },
	{ 112, 128, 144, QLatin1String("SlateGray") },
	{ 112, 128, 144, QLatin1String("slate grey") },
	{ 112, 128, 144, QLatin1String("SlateGrey") },
	{ 119, 136, 153, QLatin1String("light slate gray") },
	{ 119, 136, 153, QLatin1String("LightSlateGray") },
	{ 119, 136, 153, QLatin1String("light slate grey") },
	{ 119, 136, 153, QLatin1String("LightSlateGrey") },
	{ 190, 190, 190, QLatin1String("gray") },
	{ 190, 190, 190, QLatin1String("grey") },
	{ 190, 190, 190, QLatin1String("x11 gray") },
	{ 190, 190, 190, QLatin1String("X11Gray") },
	{ 190, 190, 190, QLatin1String("x11 grey") },
	{ 190, 190, 190, QLatin1String("X11Grey") },
	{ 128, 128, 128, QLatin1String("web gray") },
	{ 128, 128, 128, QLatin1String("WebGray") },
	{ 128, 128, 128, QLatin1String("web grey") },
	{ 128, 128, 128, QLatin1String("WebGrey") },
	{ 211, 211, 211, QLatin1String("light grey") },
	{ 211, 211, 211, QLatin1String("LightGrey") },
	{ 211, 211, 211, QLatin1String("light gray") },
	{ 211, 211, 211, QLatin1String("LightGray") },
	{  25,  25, 112, QLatin1String("midnight blue") },
	{  25,  25, 112, QLatin1String("MidnightBlue") },
	{   0,   0, 128, QLatin1String("navy") },
	{   0,   0, 128, QLatin1String("navy blue") },
	{   0,   0, 128, QLatin1String("NavyBlue") },
	{ 100, 149, 237, QLatin1String("cornflower blue") },
	{ 100, 149, 237, QLatin1String("CornflowerBlue") },
	{  72,  61, 139, QLatin1String("dark slate blue") },
	{  72,  61, 139, QLatin1String("DarkSlateBlue") },
	{ 106,  90, 205, QLatin1String("slate blue") },
	{ 106,  90, 205, QLatin1String("SlateBlue") },
	{ 123, 104, 238, QLatin1String("medium slate blue") },
	{ 123, 104, 238, QLatin1String("MediumSlateBlue") },
	{ 132, 112, 255, QLatin1String("light slate blue") },
	{ 132, 112, 255, QLatin1String("LightSlateBlue") },
	{   0,   0, 205, QLatin1String("medium blue") },
	{   0,   0, 205, QLatin1String("MediumBlue") },
	{  65, 105, 225, QLatin1String("royal blue") },
	{  65, 105, 225, QLatin1String("RoyalBlue") },
	{   0,   0, 255, QLatin1String("blue") },
	{  30, 144, 255, QLatin1String("dodger blue") },
	{  30, 144, 255, QLatin1String("DodgerBlue") },
	{   0, 191, 255, QLatin1String("deep sky blue") },
	{   0, 191, 255, QLatin1String("DeepSkyBlue") },
	{ 135, 206, 235, QLatin1String("sky blue") },
	{ 135, 206, 235, QLatin1String("SkyBlue") },
	{ 135, 206, 250, QLatin1String("light sky blue") },
	{ 135, 206, 250, QLatin1String("LightSkyBlue") },
	{  70, 130, 180, QLatin1String("steel blue") },
	{  70, 130, 180, QLatin1String("SteelBlue") },
	{ 176, 196, 222, QLatin1String("light steel blue") },
	{ 176, 196, 222, QLatin1String("LightSteelBlue") },
	{ 173, 216, 230, QLatin1String("light blue") },
	{ 173, 216, 230, QLatin1String("LightBlue") },
	{ 176, 224, 230, QLatin1String("powder blue") },
	{ 176, 224, 230, QLatin1String("PowderBlue") },
	{ 175, 238, 238, QLatin1String("pale turquoise") },
	{ 175, 238, 238, QLatin1String("PaleTurquoise") },
	{   0, 206, 209, QLatin1String("dark turquoise") },
	{   0, 206, 209, QLatin1String("DarkTurquoise") },
	{  72, 209, 204, QLatin1String("medium turquoise") },
	{  72, 209, 204, QLatin1String("MediumTurquoise") },
	{  64, 224, 208, QLatin1String("turquoise") },
	{   0, 255, 255, QLatin1String("cyan") },
	{   0, 255, 255, QLatin1String("aqua") },
	{ 224, 255, 255, QLatin1String("light cyan") },
	{ 224, 255, 255, QLatin1String("LightCyan") },
	{  95, 158, 160, QLatin1String("cadet blue") },
	{  95, 158, 160, QLatin1String("CadetBlue") },
	{ 102, 205, 170, QLatin1String("medium aquamarine") },
	{ 102, 205, 170, QLatin1String("MediumAquamarine") },
	{ 127, 255, 212, QLatin1String("aquamarine") },
	{   0, 100,   0, QLatin1String("dark green") },
	{   0, 100,   0, QLatin1String("DarkGreen") },
	{  85, 107,  47, QLatin1String("dark olive green") },
	{  85, 107,  47, QLatin1String("DarkOliveGreen") },
	{ 143, 188, 143, QLatin1String("dark sea green") },
	{ 143, 188, 143, QLatin1String("DarkSeaGreen") },
	{  46, 139,  87, QLatin1String("sea green") },
	{  46, 139,  87, QLatin1String("SeaGreen") },
	{  60, 179, 113, QLatin1String("medium sea green") },
	{  60, 179, 113, QLatin1String("MediumSeaGreen") },
	{  32, 178, 170, QLatin1String("light sea green") },
	{  32, 178, 170, QLatin1String("LightSeaGreen") },
	{ 152, 251, 152, QLatin1String("pale green") },
	{ 152, 251, 152, QLatin1String("PaleGreen") },
	{   0, 255, 127, QLatin1String("spring green") },
	{   0, 255, 127, QLatin1String("SpringGreen") },
	{ 124, 252,   0, QLatin1String("lawn green") },
	{ 124, 252,   0, QLatin1String("LawnGreen") },
	{   0, 255,   0, QLatin1String("green") },
	{   0, 255,   0, QLatin1String("lime") },
	{   0, 255,   0, QLatin1String("x11 green") },
	{   0, 255,   0, QLatin1String("X11Green") },
	{   0, 128,   0, QLatin1String("web green") },
	{   0, 128,   0, QLatin1String("WebGreen") },
	{ 127, 255,   0, QLatin1String("chartreuse") },
	{   0, 250, 154, QLatin1String("medium spring green") },
	{   0, 250, 154, QLatin1String("MediumSpringGreen") },
	{ 173, 255,  47, QLatin1String("green yellow") },
	{ 173, 255,  47, QLatin1String("GreenYellow") },
	{  50, 205,  50, QLatin1String("lime green") },
	{  50, 205,  50, QLatin1String("LimeGreen") },
	{ 154, 205,  50, QLatin1String("yellow green") },
	{ 154, 205,  50, QLatin1String("YellowGreen") },
	{  34, 139,  34, QLatin1String("forest green") },
	{  34, 139,  34, QLatin1String("ForestGreen") },
	{ 107, 142,  35, QLatin1String("olive drab") },
	{ 107, 142,  35, QLatin1String("OliveDrab") },
	{ 189, 183, 107, QLatin1String("dark khaki") },
	{ 189, 183, 107, QLatin1String("DarkKhaki") },
	{ 240, 230, 140, QLatin1String("khaki") },
	{ 238, 232, 170, QLatin1String("pale goldenrod") },
	{ 238, 232, 170, QLatin1String("PaleGoldenrod") },
	{ 250, 250, 210, QLatin1String("light goldenrod yellow") },
	{ 250, 250, 210, QLatin1String("LightGoldenrodYellow") },
	{ 255, 255, 224, QLatin1String("light yellow") },
	{ 255, 255, 224, QLatin1String("LightYellow") },
	{ 255, 255,   0, QLatin1String("yellow") },
	{ 255, 215,   0, QLatin1String("gold") },
	{ 238, 221, 130, QLatin1String("light goldenrod") },
	{ 238, 221, 130, QLatin1String("LightGoldenrod") },
	{ 218, 165,  32, QLatin1String("goldenrod") },
	{ 184, 134,  11, QLatin1String("dark goldenrod") },
	{ 184, 134,  11, QLatin1String("DarkGoldenrod") },
	{ 188, 143, 143, QLatin1String("rosy brown") },
	{ 188, 143, 143, QLatin1String("RosyBrown") },
	{ 205,  92,  92, QLatin1String("indian red") },
	{ 205,  92,  92, QLatin1String("IndianRed") },
	{ 139,  69,  19, QLatin1String("saddle brown") },
	{ 139,  69,  19, QLatin1String("SaddleBrown") },
	{ 160,  82,  45, QLatin1String("sienna") },
	{ 205, 133,  63, QLatin1String("peru") },
	{ 222, 184, 135, QLatin1String("burlywood") },
	{ 245, 245, 220, QLatin1String("beige") },
	{ 245, 222, 179, QLatin1String("wheat") },
	{ 244, 164,  96, QLatin1String("sandy brown") },
	{ 244, 164,  96, QLatin1String("SandyBrown") },
	{ 210, 180, 140, QLatin1String("tan") },
	{ 210, 105,  30, QLatin1String("chocolate") },
	{ 178,  34,  34, QLatin1String("firebrick") },
	{ 165,  42,  42, QLatin1String("brown") },
	{ 233, 150, 122, QLatin1String("dark salmon") },
	{ 233, 150, 122, QLatin1String("DarkSalmon") },
	{ 250, 128, 114, QLatin1String("salmon") },
	{ 255, 160, 122, QLatin1String("light salmon") },
	{ 255, 160, 122, QLatin1String("LightSalmon") },
	{ 255, 165,   0, QLatin1String("orange") },
	{ 255, 140,   0, QLatin1String("dark orange") },
	{ 255, 140,   0, QLatin1String("DarkOrange") },
	{ 255, 127,  80, QLatin1String("coral") },
	{ 240, 128, 128, QLatin1String("light coral") },
	{ 240, 128, 128, QLatin1String("LightCoral") },
	{ 255,  99,  71, QLatin1String("tomato") },
	{ 255,  69,   0, QLatin1String("orange red") },
	{ 255,  69,   0, QLatin1String("OrangeRed") },
	{ 255,   0,   0, QLatin1String("red") },
	{ 255, 105, 180, QLatin1String("hot pink") },
	{ 255, 105, 180, QLatin1String("HotPink") },
	{ 255,  20, 147, QLatin1String("deep pink") },
	{ 255,  20, 147, QLatin1String("DeepPink") },
	{ 255, 192, 203, QLatin1String("pink") },
	{ 255, 182, 193, QLatin1String("light pink") },
	{ 255, 182, 193, QLatin1String("LightPink") },
	{ 219, 112, 147, QLatin1String("pale violet red") },
	{ 219, 112, 147, QLatin1String("PaleVioletRed") },
	{ 176,  48,  96, QLatin1String("maroon") },
	{ 176,  48,  96, QLatin1String("x11 maroon") },
	{ 176,  48,  96, QLatin1String("X11Maroon") },
	{ 128,   0,   0, QLatin1String("web maroon") },
	{ 128,   0,   0, QLatin1String("WebMaroon") },
	{ 199,  21, 133, QLatin1String("medium violet red") },
	{ 199,  21, 133, QLatin1String("MediumVioletRed") },
	{ 208,  32, 144, QLatin1String("violet red") },
	{ 208,  32, 144, QLatin1String("VioletRed") },
	{ 255,   0, 255, QLatin1String("magenta") },
	{ 255,   0, 255, QLatin1String("fuchsia") },
	{ 238, 130, 238, QLatin1String("violet") },
	{ 221, 160, 221, QLatin1String("plum") },
	{ 218, 112, 214, QLatin1String("orchid") },
	{ 186,  85, 211, QLatin1String("medium orchid") },
	{ 186,  85, 211, QLatin1String("MediumOrchid") },
	{ 153,  50, 204, QLatin1String("dark orchid") },
	{ 153,  50, 204, QLatin1String("DarkOrchid") },
	{ 148,   0, 211, QLatin1String("dark violet") },
	{ 148,   0, 211, QLatin1String("DarkViolet") },
	{ 138,  43, 226, QLatin1String("blue violet") },
	{ 138,  43, 226, QLatin1String("BlueViolet") },
	{ 160,  32, 240, QLatin1String("purple") },
	{ 160,  32, 240, QLatin1String("x11 purple") },
	{ 160,  32, 240, QLatin1String("X11Purple") },
	{ 128,   0, 128, QLatin1String("web purple") },
	{ 128,   0, 128, QLatin1String("WebPurple") },
	{ 147, 112, 219, QLatin1String("medium purple") },
	{ 147, 112, 219, QLatin1String("MediumPurple") },
	{ 216, 191, 216, QLatin1String("thistle") },
	{ 255, 250, 250, QLatin1String("snow1") },
	{ 238, 233, 233, QLatin1String("snow2") },
	{ 205, 201, 201, QLatin1String("snow3") },
	{ 139, 137, 137, QLatin1String("snow4") },
	{ 255, 245, 238, QLatin1String("seashell1") },
	{ 238, 229, 222, QLatin1String("seashell2") },
	{ 205, 197, 191, QLatin1String("seashell3") },
	{ 139, 134, 130, QLatin1String("seashell4") },
	{ 255, 239, 219, QLatin1String("AntiqueWhite1") },
	{ 238, 223, 204, QLatin1String("AntiqueWhite2") },
	{ 205, 192, 176, QLatin1String("AntiqueWhite3") },
	{ 139, 131, 120, QLatin1String("AntiqueWhite4") },
	{ 255, 228, 196, QLatin1String("bisque1") },
	{ 238, 213, 183, QLatin1String("bisque2") },
	{ 205, 183, 158, QLatin1String("bisque3") },
	{ 139, 125, 107, QLatin1String("bisque4") },
	{ 255, 218, 185, QLatin1String("PeachPuff1") },
	{ 238, 203, 173, QLatin1String("PeachPuff2") },
	{ 205, 175, 149, QLatin1String("PeachPuff3") },
	{ 139, 119, 101, QLatin1String("PeachPuff4") },
	{ 255, 222, 173, QLatin1String("NavajoWhite1") },
	{ 238, 207, 161, QLatin1String("NavajoWhite2") },
	{ 205, 179, 139, QLatin1String("NavajoWhite3") },
	{ 139, 121,  94, QLatin1String("NavajoWhite4") },
	{ 255, 250, 205, QLatin1String("LemonChiffon1") },
	{ 238, 233, 191, QLatin1String("LemonChiffon2") },
	{ 205, 201, 165, QLatin1String("LemonChiffon3") },
	{ 139, 137, 112, QLatin1String("LemonChiffon4") },
	{ 255, 248, 220, QLatin1String("cornsilk1") },
	{ 238, 232, 205, QLatin1String("cornsilk2") },
	{ 205, 200, 177, QLatin1String("cornsilk3") },
	{ 139, 136, 120, QLatin1String("cornsilk4") },
	{ 255, 255, 240, QLatin1String("ivory1") },
	{ 238, 238, 224, QLatin1String("ivory2") },
	{ 205, 205, 193, QLatin1String("ivory3") },
	{ 139, 139, 131, QLatin1String("ivory4") },
	{ 240, 255, 240, QLatin1String("honeydew1") },
	{ 224, 238, 224, QLatin1String("honeydew2") },
	{ 193, 205, 193, QLatin1String("honeydew3") },
	{ 131, 139, 131, QLatin1String("honeydew4") },
	{ 255, 240, 245, QLatin1String("LavenderBlush1") },
	{ 238, 224, 229, QLatin1String("LavenderBlush2") },
	{ 205, 193, 197, QLatin1String("LavenderBlush3") },
	{ 139, 131, 134, QLatin1String("LavenderBlush4") },
	{ 255, 228, 225, QLatin1String("MistyRose1") },
	{ 238, 213, 210, QLatin1String("MistyRose2") },
	{ 205, 183, 181, QLatin1String("MistyRose3") },
	{ 139, 125, 123, QLatin1String("MistyRose4") },
	{ 240, 255, 255, QLatin1String("azure1") },
	{ 224, 238, 238, QLatin1String("azure2") },
	{ 193, 205, 205, QLatin1String("azure3") },
	{ 131, 139, 139, QLatin1String("azure4") },
	{ 131, 111, 255, QLatin1String("SlateBlue1") },
	{ 122, 103, 238, QLatin1String("SlateBlue2") },
	{ 105,  89, 205, QLatin1String("SlateBlue3") },
	{  71,  60, 139, QLatin1String("SlateBlue4") },
	{  72, 118, 255, QLatin1String("RoyalBlue1") },
	{  67, 110, 238, QLatin1String("RoyalBlue2") },
	{  58,  95, 205, QLatin1String("RoyalBlue3") },
	{  39,  64, 139, QLatin1String("RoyalBlue4") },
	{   0,   0, 255, QLatin1String("blue1") },
	{   0,   0, 238, QLatin1String("blue2") },
	{   0,   0, 205, QLatin1String("blue3") },
	{   0,   0, 139, QLatin1String("blue4") },
	{  30, 144, 255, QLatin1String("DodgerBlue1") },
	{  28, 134, 238, QLatin1String("DodgerBlue2") },
	{  24, 116, 205, QLatin1String("DodgerBlue3") },
	{  16,  78, 139, QLatin1String("DodgerBlue4") },
	{  99, 184, 255, QLatin1String("SteelBlue1") },
	{  92, 172, 238, QLatin1String("SteelBlue2") },
	{  79, 148, 205, QLatin1String("SteelBlue3") },
	{  54, 100, 139, QLatin1String("SteelBlue4") },
	{   0, 191, 255, QLatin1String("DeepSkyBlue1") },
	{   0, 178, 238, QLatin1String("DeepSkyBlue2") },
	{   0, 154, 205, QLatin1String("DeepSkyBlue3") },
	{   0, 104, 139, QLatin1String("DeepSkyBlue4") },
	{ 135, 206, 255, QLatin1String("SkyBlue1") },
	{ 126, 192, 238, QLatin1String("SkyBlue2") },
	{ 108, 166, 205, QLatin1String("SkyBlue3") },
	{  74, 112, 139, QLatin1String("SkyBlue4") },
	{ 176, 226, 255, QLatin1String("LightSkyBlue1") },
	{ 164, 211, 238, QLatin1String("LightSkyBlue2") },
	{ 141, 182, 205, QLatin1String("LightSkyBlue3") },
	{  96, 123, 139, QLatin1String("LightSkyBlue4") },
	{ 198, 226, 255, QLatin1String("SlateGray1") },
	{ 185, 211, 238, QLatin1String("SlateGray2") },
	{ 159, 182, 205, QLatin1String("SlateGray3") },
	{ 108, 123, 139, QLatin1String("SlateGray4") },
	{ 202, 225, 255, QLatin1String("LightSteelBlue1") },
	{ 188, 210, 238, QLatin1String("LightSteelBlue2") },
	{ 162, 181, 205, QLatin1String("LightSteelBlue3") },
	{ 110, 123, 139, QLatin1String("LightSteelBlue4") },
	{ 191, 239, 255, QLatin1String("LightBlue1") },
	{ 178, 223, 238, QLatin1String("LightBlue2") },
	{ 154, 192, 205, QLatin1String("LightBlue3") },
	{ 104, 131, 139, QLatin1String("LightBlue4") },
	{ 224, 255, 255, QLatin1String("LightCyan1") },
	{ 209, 238, 238, QLatin1String("LightCyan2") },
	{ 180, 205, 205, QLatin1String("LightCyan3") },
	{ 122, 139, 139, QLatin1String("LightCyan4") },
	{ 187, 255, 255, QLatin1String("PaleTurquoise1") },
	{ 174, 238, 238, QLatin1String("PaleTurquoise2") },
	{ 150, 205, 205, QLatin1String("PaleTurquoise3") },
	{ 102, 139, 139, QLatin1String("PaleTurquoise4") },
	{ 152, 245, 255, QLatin1String("CadetBlue1") },
	{ 142, 229, 238, QLatin1String("CadetBlue2") },
	{ 122, 197, 205, QLatin1String("CadetBlue3") },
	{  83, 134, 139, QLatin1String("CadetBlue4") },
	{   0, 245, 255, QLatin1String("turquoise1") },
	{   0, 229, 238, QLatin1String("turquoise2") },
	{   0, 197, 205, QLatin1String("turquoise3") },
	{   0, 134, 139, QLatin1String("turquoise4") },
	{   0, 255, 255, QLatin1String("cyan1") },
	{   0, 238, 238, QLatin1String("cyan2") },
	{   0, 205, 205, QLatin1String("cyan3") },
	{   0, 139, 139, QLatin1String("cyan4") },
	{ 151, 255, 255, QLatin1String("DarkSlateGray1") },
	{ 141, 238, 238, QLatin1String("DarkSlateGray2") },
	{ 121, 205, 205, QLatin1String("DarkSlateGray3") },
	{  82, 139, 139, QLatin1String("DarkSlateGray4") },
	{ 127, 255, 212, QLatin1String("aquamarine1") },
	{ 118, 238, 198, QLatin1String("aquamarine2") },
	{ 102, 205, 170, QLatin1String("aquamarine3") },
	{  69, 139, 116, QLatin1String("aquamarine4") },
	{ 193, 255, 193, QLatin1String("DarkSeaGreen1") },
	{ 180, 238, 180, QLatin1String("DarkSeaGreen2") },
	{ 155, 205, 155, QLatin1String("DarkSeaGreen3") },
	{ 105, 139, 105, QLatin1String("DarkSeaGreen4") },
	{  84, 255, 159, QLatin1String("SeaGreen1") },
	{  78, 238, 148, QLatin1String("SeaGreen2") },
	{  67, 205, 128, QLatin1String("SeaGreen3") },
	{  46, 139,  87, QLatin1String("SeaGreen4") },
	{ 154, 255, 154, QLatin1String("PaleGreen1") },
	{ 144, 238, 144, QLatin1String("PaleGreen2") },
	{ 124, 205, 124, QLatin1String("PaleGreen3") },
	{  84, 139,  84, QLatin1String("PaleGreen4") },
	{   0, 255, 127, QLatin1String("SpringGreen1") },
	{   0, 238, 118, QLatin1String("SpringGreen2") },
	{   0, 205, 102, QLatin1String("SpringGreen3") },
	{   0, 139,  69, QLatin1String("SpringGreen4") },
	{   0, 255,   0, QLatin1String("green1") },
	{   0, 238,   0, QLatin1String("green2") },
	{   0, 205,   0, QLatin1String("green3") },
	{   0, 139,   0, QLatin1String("green4") },
	{ 127, 255,   0, QLatin1String("chartreuse1") },
	{ 118, 238,   0, QLatin1String("chartreuse2") },
	{ 102, 205,   0, QLatin1String("chartreuse3") },
	{  69, 139,   0, QLatin1String("chartreuse4") },
	{ 192, 255,  62, QLatin1String("OliveDrab1") },
	{ 179, 238,  58, QLatin1String("OliveDrab2") },
	{ 154, 205,  50, QLatin1String("OliveDrab3") },
	{ 105, 139,  34, QLatin1String("OliveDrab4") },
	{ 202, 255, 112, QLatin1String("DarkOliveGreen1") },
	{ 188, 238, 104, QLatin1String("DarkOliveGreen2") },
	{ 162, 205,  90, QLatin1String("DarkOliveGreen3") },
	{ 110, 139,  61, QLatin1String("DarkOliveGreen4") },
	{ 255, 246, 143, QLatin1String("khaki1") },
	{ 238, 230, 133, QLatin1String("khaki2") },
	{ 205, 198, 115, QLatin1String("khaki3") },
	{ 139, 134,  78, QLatin1String("khaki4") },
	{ 255, 236, 139, QLatin1String("LightGoldenrod1") },
	{ 238, 220, 130, QLatin1String("LightGoldenrod2") },
	{ 205, 190, 112, QLatin1String("LightGoldenrod3") },
	{ 139, 129,  76, QLatin1String("LightGoldenrod4") },
	{ 255, 255, 224, QLatin1String("LightYellow1") },
	{ 238, 238, 209, QLatin1String("LightYellow2") },
	{ 205, 205, 180, QLatin1String("LightYellow3") },
	{ 139, 139, 122, QLatin1String("LightYellow4") },
	{ 255, 255,   0, QLatin1String("yellow1") },
	{ 238, 238,   0, QLatin1String("yellow2") },
	{ 205, 205,   0, QLatin1String("yellow3") },
	{ 139, 139,   0, QLatin1String("yellow4") },
	{ 255, 215,   0, QLatin1String("gold1") },
	{ 238, 201,   0, QLatin1String("gold2") },
	{ 205, 173,   0, QLatin1String("gold3") },
	{ 139, 117,   0, QLatin1String("gold4") },
	{ 255, 193,  37, QLatin1String("goldenrod1") },
	{ 238, 180,  34, QLatin1String("goldenrod2") },
	{ 205, 155,  29, QLatin1String("goldenrod3") },
	{ 139, 105,  20, QLatin1String("goldenrod4") },
	{ 255, 185,  15, QLatin1String("DarkGoldenrod1") },
	{ 238, 173,  14, QLatin1String("DarkGoldenrod2") },
	{ 205, 149,  12, QLatin1String("DarkGoldenrod3") },
	{ 139, 101,   8, QLatin1String("DarkGoldenrod4") },
	{ 255, 193, 193, QLatin1String("RosyBrown1") },
	{ 238, 180, 180, QLatin1String("RosyBrown2") },
	{ 205, 155, 155, QLatin1String("RosyBrown3") },
	{ 139, 105, 105, QLatin1String("RosyBrown4") },
	{ 255, 106, 106, QLatin1String("IndianRed1") },
	{ 238,  99,  99, QLatin1String("IndianRed2") },
	{ 205,  85,  85, QLatin1String("IndianRed3") },
	{ 139,  58,  58, QLatin1String("IndianRed4") },
	{ 255, 130,  71, QLatin1String("sienna1") },
	{ 238, 121,  66, QLatin1String("sienna2") },
	{ 205, 104,  57, QLatin1String("sienna3") },
	{ 139,  71,  38, QLatin1String("sienna4") },
	{ 255, 211, 155, QLatin1String("burlywood1") },
	{ 238, 197, 145, QLatin1String("burlywood2") },
	{ 205, 170, 125, QLatin1String("burlywood3") },
	{ 139, 115,  85, QLatin1String("burlywood4") },
	{ 255, 231, 186, QLatin1String("wheat1") },
	{ 238, 216, 174, QLatin1String("wheat2") },
	{ 205, 186, 150, QLatin1String("wheat3") },
	{ 139, 126, 102, QLatin1String("wheat4") },
	{ 255, 165,  79, QLatin1String("tan1") },
	{ 238, 154,  73, QLatin1String("tan2") },
	{ 205, 133,  63, QLatin1String("tan3") },
	{ 139,  90,  43, QLatin1String("tan4") },
	{ 255, 127,  36, QLatin1String("chocolate1") },
	{ 238, 118,  33, QLatin1String("chocolate2") },
	{ 205, 102,  29, QLatin1String("chocolate3") },
	{ 139,  69,  19, QLatin1String("chocolate4") },
	{ 255,  48,  48, QLatin1String("firebrick1") },
	{ 238,  44,  44, QLatin1String("firebrick2") },
	{ 205,  38,  38, QLatin1String("firebrick3") },
	{ 139,  26,  26, QLatin1String("firebrick4") },
	{ 255,  64,  64, QLatin1String("brown1") },
	{ 238,  59,  59, QLatin1String("brown2") },
	{ 205,  51,  51, QLatin1String("brown3") },
	{ 139,  35,  35, QLatin1String("brown4") },
	{ 255, 140, 105, QLatin1String("salmon1") },
	{ 238, 130,  98, QLatin1String("salmon2") },
	{ 205, 112,  84, QLatin1String("salmon3") },
	{ 139,  76,  57, QLatin1String("salmon4") },
	{ 255, 160, 122, QLatin1String("LightSalmon1") },
	{ 238, 149, 114, QLatin1String("LightSalmon2") },
	{ 205, 129,  98, QLatin1String("LightSalmon3") },
	{ 139,  87,  66, QLatin1String("LightSalmon4") },
	{ 255, 165,   0, QLatin1String("orange1") },
	{ 238, 154,   0, QLatin1String("orange2") },
	{ 205, 133,   0, QLatin1String("orange3") },
	{ 139,  90,   0, QLatin1String("orange4") },
	{ 255, 127,   0, QLatin1String("DarkOrange1") },
	{ 238, 118,   0, QLatin1String("DarkOrange2") },
	{ 205, 102,   0, QLatin1String("DarkOrange3") },
	{ 139,  69,   0, QLatin1String("DarkOrange4") },
	{ 255, 114,  86, QLatin1String("coral1") },
	{ 238, 106,  80, QLatin1String("coral2") },
	{ 205,  91,  69, QLatin1String("coral3") },
	{ 139,  62,  47, QLatin1String("coral4") },
	{ 255,  99,  71, QLatin1String("tomato1") },
	{ 238,  92,  66, QLatin1String("tomato2") },
	{ 205,  79,  57, QLatin1String("tomato3") },
	{ 139,  54,  38, QLatin1String("tomato4") },
	{ 255,  69,   0, QLatin1String("OrangeRed1") },
	{ 238,  64,   0, QLatin1String("OrangeRed2") },
	{ 205,  55,   0, QLatin1String("OrangeRed3") },
	{ 139,  37,   0, QLatin1String("OrangeRed4") },
	{ 255,   0,   0, QLatin1String("red1") },
	{ 238,   0,   0, QLatin1String("red2") },
	{ 205,   0,   0, QLatin1String("red3") },
	{ 139,   0,   0, QLatin1String("red4") },
	{ 255,  20, 147, QLatin1String("DeepPink1") },
	{ 238,  18, 137, QLatin1String("DeepPink2") },
	{ 205,  16, 118, QLatin1String("DeepPink3") },
	{ 139,  10,  80, QLatin1String("DeepPink4") },
	{ 255, 110, 180, QLatin1String("HotPink1") },
	{ 238, 106, 167, QLatin1String("HotPink2") },
	{ 205,  96, 144, QLatin1String("HotPink3") },
	{ 139,  58,  98, QLatin1String("HotPink4") },
	{ 255, 181, 197, QLatin1String("pink1") },
	{ 238, 169, 184, QLatin1String("pink2") },
	{ 205, 145, 158, QLatin1String("pink3") },
	{ 139,  99, 108, QLatin1String("pink4") },
	{ 255, 174, 185, QLatin1String("LightPink1") },
	{ 238, 162, 173, QLatin1String("LightPink2") },
	{ 205, 140, 149, QLatin1String("LightPink3") },
	{ 139,  95, 101, QLatin1String("LightPink4") },
	{ 255, 130, 171, QLatin1String("PaleVioletRed1") },
	{ 238, 121, 159, QLatin1String("PaleVioletRed2") },
	{ 205, 104, 137, QLatin1String("PaleVioletRed3") },
	{ 139,  71,  93, QLatin1String("PaleVioletRed4") },
	{ 255,  52, 179, QLatin1String("maroon1") },
	{ 238,  48, 167, QLatin1String("maroon2") },
	{ 205,  41, 144, QLatin1String("maroon3") },
	{ 139,  28,  98, QLatin1String("maroon4") },
	{ 255,  62, 150, QLatin1String("VioletRed1") },
	{ 238,  58, 140, QLatin1String("VioletRed2") },
	{ 205,  50, 120, QLatin1String("VioletRed3") },
	{ 139,  34,  82, QLatin1String("VioletRed4") },
	{ 255,   0, 255, QLatin1String("magenta1") },
	{ 238,   0, 238, QLatin1String("magenta2") },
	{ 205,   0, 205, QLatin1String("magenta3") },
	{ 139,   0, 139, QLatin1String("magenta4") },
	{ 255, 131, 250, QLatin1String("orchid1") },
	{ 238, 122, 233, QLatin1String("orchid2") },
	{ 205, 105, 201, QLatin1String("orchid3") },
	{ 139,  71, 137, QLatin1String("orchid4") },
	{ 255, 187, 255, QLatin1String("plum1") },
	{ 238, 174, 238, QLatin1String("plum2") },
	{ 205, 150, 205, QLatin1String("plum3") },
	{ 139, 102, 139, QLatin1String("plum4") },
	{ 224, 102, 255, QLatin1String("MediumOrchid1") },
	{ 209,  95, 238, QLatin1String("MediumOrchid2") },
	{ 180,  82, 205, QLatin1String("MediumOrchid3") },
	{ 122,  55, 139, QLatin1String("MediumOrchid4") },
	{ 191,  62, 255, QLatin1String("DarkOrchid1") },
	{ 178,  58, 238, QLatin1String("DarkOrchid2") },
	{ 154,  50, 205, QLatin1String("DarkOrchid3") },
	{ 104,  34, 139, QLatin1String("DarkOrchid4") },
	{ 155,  48, 255, QLatin1String("purple1") },
	{ 145,  44, 238, QLatin1String("purple2") },
	{ 125,  38, 205, QLatin1String("purple3") },
	{  85,  26, 139, QLatin1String("purple4") },
	{ 171, 130, 255, QLatin1String("MediumPurple1") },
	{ 159, 121, 238, QLatin1String("MediumPurple2") },
	{ 137, 104, 205, QLatin1String("MediumPurple3") },
	{  93,  71, 139, QLatin1String("MediumPurple4") },
	{ 255, 225, 255, QLatin1String("thistle1") },
	{ 238, 210, 238, QLatin1String("thistle2") },
	{ 205, 181, 205, QLatin1String("thistle3") },
	{ 139, 123, 139, QLatin1String("thistle4") },
	{   0,   0,   0, QLatin1String("gray0") },
	{   0,   0,   0, QLatin1String("grey0") },
	{   3,   3,   3, QLatin1String("gray1") },
	{   3,   3,   3, QLatin1String("grey1") },
	{   5,   5,   5, QLatin1String("gray2") },
	{   5,   5,   5, QLatin1String("grey2") },
	{   8,   8,   8, QLatin1String("gray3") },
	{   8,   8,   8, QLatin1String("grey3") },
	{  10,  10,  10, QLatin1String("gray4") },
	{  10,  10,  10, QLatin1String("grey4") },
	{  13,  13,  13, QLatin1String("gray5") },
	{  13,  13,  13, QLatin1String("grey5") },
	{  15,  15,  15, QLatin1String("gray6") },
	{  15,  15,  15, QLatin1String("grey6") },
	{  18,  18,  18, QLatin1String("gray7") },
	{  18,  18,  18, QLatin1String("grey7") },
	{  20,  20,  20, QLatin1String("gray8") },
	{  20,  20,  20, QLatin1String("grey8") },
	{  23,  23,  23, QLatin1String("gray9") },
	{  23,  23,  23, QLatin1String("grey9") },
	{  26,  26,  26, QLatin1String("gray10") },
	{  26,  26,  26, QLatin1String("grey10") },
	{  28,  28,  28, QLatin1String("gray11") },
	{  28,  28,  28, QLatin1String("grey11") },
	{  31,  31,  31, QLatin1String("gray12") },
	{  31,  31,  31, QLatin1String("grey12") },
	{  33,  33,  33, QLatin1String("gray13") },
	{  33,  33,  33, QLatin1String("grey13") },
	{  36,  36,  36, QLatin1String("gray14") },
	{  36,  36,  36, QLatin1String("grey14") },
	{  38,  38,  38, QLatin1String("gray15") },
	{  38,  38,  38, QLatin1String("grey15") },
	{  41,  41,  41, QLatin1String("gray16") },
	{  41,  41,  41, QLatin1String("grey16") },
	{  43,  43,  43, QLatin1String("gray17") },
	{  43,  43,  43, QLatin1String("grey17") },
	{  46,  46,  46, QLatin1String("gray18") },
	{  46,  46,  46, QLatin1String("grey18") },
	{  48,  48,  48, QLatin1String("gray19") },
	{  48,  48,  48, QLatin1String("grey19") },
	{  51,  51,  51, QLatin1String("gray20") },
	{  51,  51,  51, QLatin1String("grey20") },
	{  54,  54,  54, QLatin1String("gray21") },
	{  54,  54,  54, QLatin1String("grey21") },
	{  56,  56,  56, QLatin1String("gray22") },
	{  56,  56,  56, QLatin1String("grey22") },
	{  59,  59,  59, QLatin1String("gray23") },
	{  59,  59,  59, QLatin1String("grey23") },
	{  61,  61,  61, QLatin1String("gray24") },
	{  61,  61,  61, QLatin1String("grey24") },
	{  64,  64,  64, QLatin1String("gray25") },
	{  64,  64,  64, QLatin1String("grey25") },
	{  66,  66,  66, QLatin1String("gray26") },
	{  66,  66,  66, QLatin1String("grey26") },
	{  69,  69,  69, QLatin1String("gray27") },
	{  69,  69,  69, QLatin1String("grey27") },
	{  71,  71,  71, QLatin1String("gray28") },
	{  71,  71,  71, QLatin1String("grey28") },
	{  74,  74,  74, QLatin1String("gray29") },
	{  74,  74,  74, QLatin1String("grey29") },
	{  77,  77,  77, QLatin1String("gray30") },
	{  77,  77,  77, QLatin1String("grey30") },
	{  79,  79,  79, QLatin1String("gray31") },
	{  79,  79,  79, QLatin1String("grey31") },
	{  82,  82,  82, QLatin1String("gray32") },
	{  82,  82,  82, QLatin1String("grey32") },
	{  84,  84,  84, QLatin1String("gray33") },
	{  84,  84,  84, QLatin1String("grey33") },
	{  87,  87,  87, QLatin1String("gray34") },
	{  87,  87,  87, QLatin1String("grey34") },
	{  89,  89,  89, QLatin1String("gray35") },
	{  89,  89,  89, QLatin1String("grey35") },
	{  92,  92,  92, QLatin1String("gray36") },
	{  92,  92,  92, QLatin1String("grey36") },
	{  94,  94,  94, QLatin1String("gray37") },
	{  94,  94,  94, QLatin1String("grey37") },
	{  97,  97,  97, QLatin1String("gray38") },
	{  97,  97,  97, QLatin1String("grey38") },
	{  99,  99,  99, QLatin1String("gray39") },
	{  99,  99,  99, QLatin1String("grey39") },
	{ 102, 102, 102, QLatin1String("gray40") },
	{ 102, 102, 102, QLatin1String("grey40") },
	{ 105, 105, 105, QLatin1String("gray41") },
	{ 105, 105, 105, QLatin1String("grey41") },
	{ 107, 107, 107, QLatin1String("gray42") },
	{ 107, 107, 107, QLatin1String("grey42") },
	{ 110, 110, 110, QLatin1String("gray43") },
	{ 110, 110, 110, QLatin1String("grey43") },
	{ 112, 112, 112, QLatin1String("gray44") },
	{ 112, 112, 112, QLatin1String("grey44") },
	{ 115, 115, 115, QLatin1String("gray45") },
	{ 115, 115, 115, QLatin1String("grey45") },
	{ 117, 117, 117, QLatin1String("gray46") },
	{ 117, 117, 117, QLatin1String("grey46") },
	{ 120, 120, 120, QLatin1String("gray47") },
	{ 120, 120, 120, QLatin1String("grey47") },
	{ 122, 122, 122, QLatin1String("gray48") },
	{ 122, 122, 122, QLatin1String("grey48") },
	{ 125, 125, 125, QLatin1String("gray49") },
	{ 125, 125, 125, QLatin1String("grey49") },
	{ 127, 127, 127, QLatin1String("gray50") },
	{ 127, 127, 127, QLatin1String("grey50") },
	{ 130, 130, 130, QLatin1String("gray51") },
	{ 130, 130, 130, QLatin1String("grey51") },
	{ 133, 133, 133, QLatin1String("gray52") },
	{ 133, 133, 133, QLatin1String("grey52") },
	{ 135, 135, 135, QLatin1String("gray53") },
	{ 135, 135, 135, QLatin1String("grey53") },
	{ 138, 138, 138, QLatin1String("gray54") },
	{ 138, 138, 138, QLatin1String("grey54") },
	{ 140, 140, 140, QLatin1String("gray55") },
	{ 140, 140, 140, QLatin1String("grey55") },
	{ 143, 143, 143, QLatin1String("gray56") },
	{ 143, 143, 143, QLatin1String("grey56") },
	{ 145, 145, 145, QLatin1String("gray57") },
	{ 145, 145, 145, QLatin1String("grey57") },
	{ 148, 148, 148, QLatin1String("gray58") },
	{ 148, 148, 148, QLatin1String("grey58") },
	{ 150, 150, 150, QLatin1String("gray59") },
	{ 150, 150, 150, QLatin1String("grey59") },
	{ 153, 153, 153, QLatin1String("gray60") },
	{ 153, 153, 153, QLatin1String("grey60") },
	{ 156, 156, 156, QLatin1String("gray61") },
	{ 156, 156, 156, QLatin1String("grey61") },
	{ 158, 158, 158, QLatin1String("gray62") },
	{ 158, 158, 158, QLatin1String("grey62") },
	{ 161, 161, 161, QLatin1String("gray63") },
	{ 161, 161, 161, QLatin1String("grey63") },
	{ 163, 163, 163, QLatin1String("gray64") },
	{ 163, 163, 163, QLatin1String("grey64") },
	{ 166, 166, 166, QLatin1String("gray65") },
	{ 166, 166, 166, QLatin1String("grey65") },
	{ 168, 168, 168, QLatin1String("gray66") },
	{ 168, 168, 168, QLatin1String("grey66") },
	{ 171, 171, 171, QLatin1String("gray67") },
	{ 171, 171, 171, QLatin1String("grey67") },
	{ 173, 173, 173, QLatin1String("gray68") },
	{ 173, 173, 173, QLatin1String("grey68") },
	{ 176, 176, 176, QLatin1String("gray69") },
	{ 176, 176, 176, QLatin1String("grey69") },
	{ 179, 179, 179, QLatin1String("gray70") },
	{ 179, 179, 179, QLatin1String("grey70") },
	{ 181, 181, 181, QLatin1String("gray71") },
	{ 181, 181, 181, QLatin1String("grey71") },
	{ 184, 184, 184, QLatin1String("gray72") },
	{ 184, 184, 184, QLatin1String("grey72") },
	{ 186, 186, 186, QLatin1String("gray73") },
	{ 186, 186, 186, QLatin1String("grey73") },
	{ 189, 189, 189, QLatin1String("gray74") },
	{ 189, 189, 189, QLatin1String("grey74") },
	{ 191, 191, 191, QLatin1String("gray75") },
	{ 191, 191, 191, QLatin1String("grey75") },
	{ 194, 194, 194, QLatin1String("gray76") },
	{ 194, 194, 194, QLatin1String("grey76") },
	{ 196, 196, 196, QLatin1String("gray77") },
	{ 196, 196, 196, QLatin1String("grey77") },
	{ 199, 199, 199, QLatin1String("gray78") },
	{ 199, 199, 199, QLatin1String("grey78") },
	{ 201, 201, 201, QLatin1String("gray79") },
	{ 201, 201, 201, QLatin1String("grey79") },
	{ 204, 204, 204, QLatin1String("gray80") },
	{ 204, 204, 204, QLatin1String("grey80") },
	{ 207, 207, 207, QLatin1String("gray81") },
	{ 207, 207, 207, QLatin1String("grey81") },
	{ 209, 209, 209, QLatin1String("gray82") },
	{ 209, 209, 209, QLatin1String("grey82") },
	{ 212, 212, 212, QLatin1String("gray83") },
	{ 212, 212, 212, QLatin1String("grey83") },
	{ 214, 214, 214, QLatin1String("gray84") },
	{ 214, 214, 214, QLatin1String("grey84") },
	{ 217, 217, 217, QLatin1String("gray85") },
	{ 217, 217, 217, QLatin1String("grey85") },
	{ 219, 219, 219, QLatin1String("gray86") },
	{ 219, 219, 219, QLatin1String("grey86") },
	{ 222, 222, 222, QLatin1String("gray87") },
	{ 222, 222, 222, QLatin1String("grey87") },
	{ 224, 224, 224, QLatin1String("gray88") },
	{ 224, 224, 224, QLatin1String("grey88") },
	{ 227, 227, 227, QLatin1String("gray89") },
	{ 227, 227, 227, QLatin1String("grey89") },
	{ 229, 229, 229, QLatin1String("gray90") },
	{ 229, 229, 229, QLatin1String("grey90") },
	{ 232, 232, 232, QLatin1String("gray91") },
	{ 232, 232, 232, QLatin1String("grey91") },
	{ 235, 235, 235, QLatin1String("gray92") },
	{ 235, 235, 235, QLatin1String("grey92") },
	{ 237, 237, 237, QLatin1String("gray93") },
	{ 237, 237, 237, QLatin1String("grey93") },
	{ 240, 240, 240, QLatin1String("gray94") },
	{ 240, 240, 240, QLatin1String("grey94") },
	{ 242, 242, 242, QLatin1String("gray95") },
	{ 242, 242, 242, QLatin1String("grey95") },
	{ 245, 245, 245, QLatin1String("gray96") },
	{ 245, 245, 245, QLatin1String("grey96") },
	{ 247, 247, 247, QLatin1String("gray97") },
	{ 247, 247, 247, QLatin1String("grey97") },
	{ 250, 250, 250, QLatin1String("gray98") },
	{ 250, 250, 250, QLatin1String("grey98") },
	{ 252, 252, 252, QLatin1String("gray99") },
	{ 252, 252, 252, QLatin1String("grey99") },
	{ 255, 255, 255, QLatin1String("gray100") },
	{ 255, 255, 255, QLatin1String("grey100") },
	{ 169, 169, 169, QLatin1String("dark grey") },
	{ 169, 169, 169, QLatin1String("DarkGrey") },
	{ 169, 169, 169, QLatin1String("dark gray") },
	{ 169, 169, 169, QLatin1String("DarkGray") },
	{   0,   0, 139, QLatin1String("dark blue") },
	{   0,   0, 139, QLatin1String("DarkBlue") },
	{   0, 139, 139, QLatin1String("dark cyan") },
	{   0, 139, 139, QLatin1String("DarkCyan") },
	{ 139,   0, 139, QLatin1String("dark magenta") },
	{ 139,   0, 139, QLatin1String("DarkMagenta") },
	{ 139,   0,   0, QLatin1String("dark red") },
	{ 139,   0,   0, QLatin1String("DarkRed") },
	{ 144, 238, 144, QLatin1String("light green") },
	{ 144, 238, 144, QLatin1String("LightGreen") },
	{ 220,  20,  60, QLatin1String("crimson") },
	{  75,   0, 130, QLatin1String("indigo") },
	{ 128, 128,   0, QLatin1String("olive") },
	{ 102,  51, 153, QLatin1String("rebecca purple") },
	{ 102,  51, 153, QLatin1String("RebeccaPurple") },
	{ 192, 192, 192, QLatin1String("silver") },
	{   0, 128, 128, QLatin1String("teal") }
};

}

/**
 * @brief X11Colors::fromString
 * @param s
 * @return returns a QColor which matches the name.
 * Intended to mimic the X11 color set
 */
QColor X11Colors::fromString(const QString &s) {

	auto it = std::find_if(std::begin(colors), std::end(colors), [&s](const X11Color &color) {
		return color.name == s;
	});

	if(it != std::end(colors)) {
		return { it->r, it->g, it->b };
	}

	return QColor(s);
}
